@args allowed: bool

<div class="max-w-3xl mx-auto mt-10 space-y-6 font-sans">
  @for (.blogs) |blog| {
    <div class="p4 bg-win7-bg border border-win7-border rounded-xl px-5 py-4 shadow-sm hover:shadow-md transition duration-150">
      <div class="flex justify-between items-center">
        <a href="/blogs/{{blog.id}}" class="text-xl font-semibold text-win7-link hover:underline transition">
          {{blog.title}}
        </a>

        @if ($.allowed)
          <button
            id="delete-post-{{blog.id}}"
            class="text-sm text-win7-red hover:text-red-800 transition"
          >
            Delete
          </button>
        @end
      </div>

      <p class="text-xs text-[#4a5c75] mt-2">
        {{zmpl.fmt.datetime(blog.get("created_at"), "%Y-%m-%d %H:%M")}}
      </p>
    </div>
  }

  @if ($.allowed)
    <div class="pt-4">
      <a href="/blogs/new"
         class="inline-block px-4 py-2 bg-win7-link text-white rounded-md hover:bg-win7-hover shadow transition duration-150">
        + New Blog
      </a>
    </div>
  @end
</div>

@if ($.allowed)
<script>
document.addEventListener("DOMContentLoaded", () => {
  document.querySelectorAll('[id^="delete-post-"]').forEach(button => {
    button.addEventListener("click", () => {
      const id = button.id.replace("delete-post-", "");
      fetch(`/blogs/${id}`, {
        method: 'DELETE',
        headers: {
          'Content-Type': 'application/json'
        },
      })
      .then(() => window.location.reload())
      .catch(err => console.error("Failed to delete post:", err));
    });
  });
});
</script>
@end

