@args allowed: bool, description: ?[]const u8

<html>
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="theme-color" content="#ffffff" />
		@if ($.description) |desc|
			<meta name="description" content="{{desc}}" />
		@end
    <link rel="icon" href="/favicon.ico" />
    <link rel="stylesheet" href="/new-styles.css" />
    <title>yuzucchii.xyz</title>
  </head>
	<body>
	<nav class="bg-win7-bg shadow-sm border-b border-win7-border py-4 font-sans">
		<div class="max-w-4xl mx-auto text-center">
			<div class="text-2xl font-bold text-win7-text mb-2">
				<a href="/" class="hover:text-win7-hover transition">yuzucchii.xyz</a>
			</div>
			<div class="flex flex-wrap justify-center gap-4 text-sm sm:text-base text-win7-link">
				<a href="/blogs" class="hover:underline">Blog</a>
				<a href="/about-me" class="hover:underline">About Me</a>
				@if ($.allowed)
					<a href="/logout" class="hover:underline">Logout</a>
				@else
					<a href="/login" class="hover:underline">Login</a>
				@end
				<a href="https://git.yuzucchii.xyz" class="hover:underline" rel="noopener">Gitea</a>
				<a href="https://watcharr.yuzucchii.xyz" class="hover:underline">Watcharr</a>
				<a href="/rss" class="hover:underline">RSS</a>
				<a href="https://searx.yuzucchii.xyz" class="hover:underline">SearX</a>
				<a href="/files" class="text-win7-red hover:underline">Files</a>
				<a href="mailto:me@yuzucchii.xyz" class="hover:underline">E-mail</a>
			</div>
		</div>
	</nav>


  <!-- Page Content -->
  <main class="max-w-3xl mx-auto px-4 mt-8">
    <h1 class="text-3xl font-bold mb-6">Hello, I like doing things.</h1>
      {{zmpl.content}}
  </main>

  @partial layouts/footer
  </body>
</html>

