<div class="min-h-screen flex items-center justify-center bg-win7-bg font-sans text-win7-text">

  <form id="login-form" class="bg-white p-8 border border-win7-border rounded-2xl shadow-xl w-full max-w-sm space-y-6">

    <h1 class="text-xl font-semibold text-center mb-2 text-win7-link">Admin Login</h1>

    <div>
      <label for="username" class="block text-sm font-medium mb-1">Username</label>
      <input
        id="username"
        name="username"
        type="text"
        required
        class="w-full px-4 py-2 border border-win7-border rounded-md shadow-sm bg-white focus:outline-none focus:ring-2 focus:ring-win7-hover focus:border-win7-hover transition"
      />
    </div>

    <div>
      <label for="password" class="block text-sm font-medium mb-1">Discrete password</label>
      <input
        id="password"
        name="password"
        type="password"
        required
        class="w-full px-4 py-2 border border-win7-border rounded-md shadow-sm bg-white focus:outline-none focus:ring-2 focus:ring-win7-hover focus:border-win7-hover transition"
      />
    </div>

    <button
      type="submit"
      class="w-full bg-win7-link text-white font-semibold py-2 rounded-md hover:bg-win7-hover shadow transition"
    >
      Login
    </button>
  </form>

  <script>
    document.querySelector('#login-form').addEventListener('submit', function(event) {
      event.preventDefault();
      const password = document.querySelector('input[name="password"]').value;

      fetch('/login', {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json'
        },
        body: JSON.stringify({ password })
      })
      .then(res => res.json())
      .then(res => {
        window.location.href = '/blogs';
      })
      .catch(err => {
        console.error('Login error:', err);
      });
    });
  </script>
</div>

